org.apache.maven.plugin

## Interface ContextEnabled

All Known Implementing Classes:
  AbstractMojo, AntMojoWrapper, BeanshellMojoAdapter

    public interface ContextEnabled

Interface to allow `Mojos` to communicate with each others `Mojos`, other than project's source root and project's attachment.
The plugin manager would pull the context out of the plugin container context, and populate it into the Mojo.

Version:
  $Id: ContextEnabled.java 640549 2008-03-24 20:05:11Z bentmann $
Author:
  jdcasey

### Method Summary

Methods
`java.util.Map` `getPluginContext()`
`void` `setPluginContext(java.util.Map pluginContext)` Set a new shared context `Map` to a mojo before executing it.

### Method Detail

#### setPluginContext

    void setPluginContext(java.util.Map pluginContext)

Set a new shared context `Map` to a mojo before executing it.

Parameters:
  `pluginContext` - a new `Map`

#### getPluginContext

    java.util.Map getPluginContext()

Returns:
  a `Map` stored in the plugin container's context.